Request

Response

    Get the LMV Root for File Version
    GET

    vaults/{vaultId}/file-versions/{id}/svf/bubble.json

    Retrieves the bubble.json file, which serves as the root file for the Autodesk Large Model Viewer (LMV) format, when the file version is DWF or DWFx. It provides essential metadata and structure information required to render 2D/3D models or other complex visualizations in the LMV viewer.

    Note: The first call to this operation for a given file version triggers a low-priority background job that generates the bubble.json and other LMV visualization files. The generated files are cached, and subsequent calls retrieve the bubble.json from the cache directly.

    To retrieve the associated DWF or DWFx file (if available) for a CAD file, use the Get Visualization Attachments operation.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/file-versions/{id}/svf/bubble.json
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of a file version.
    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of a file version.

    Request

    Query String Parameters

    allowSync
    boolean
    In a multi-site environment, this field tells if the file should be synced to the local site.

    true: File is not on the local site, it will be copied to the local site.

    false: (Default) File is not copied to the local site.

    wmSrcItemVerId
    string
    The item version ID to use as the watermark source. Supply this when the current file is a DWF associated with an Item and you want to download its watermarked version.
    wmSrcFileVerId
    string
    The file version ID (or CAD file version ID) to use as the watermark source. Supply this when the current file is a DWF associated with an Item, either directly or as a CAD file’s visualization attachment, and you want to download its watermarked version.

    Response

    HTTP Status Code Summary

    200
    OK
    Bubble.json is retrieved from cache.
    202
    Accepted
    Bubble.json and other LMV files are not generated yet for this DWF/x file. 202 indicates the server has accepted the request and has scheduled a low priority background job to create the files required for viewing.

    Note: User could invoke this operation every x seconds in loop to check this translation job status and wait for completion till StatusCode = 200

    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (202)

    Response for 202 has no body.

    Example

    This example illustrates how to get the root bubble.json for the Autodesk Large Model Viewer (LMV) format.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/117/file-versions/43/svf/bubble.json' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    bubble.json content is returned in the response body.